#set( $symbol_pound = '#' )
#set( $symbol_dollar = '$' )
#set( $symbol_escape = '\' )
/*
 *  Licensed to the Apache Software Foundation (ASF) under one
 *  or more contributor license agreements.  See the NOTICE file
 *  distributed with this work for additional information
 *  regarding copyright ownership.  The ASF licenses this file
 *  to you under the Apache License, Version 2.0 (the
 *  "License"); you may not use this file except in compliance
 *  with the License.  You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing,
 *  software distributed under the License is distributed on an
 *  "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 *  KIND, either express or implied.  See the License for the
 *  specific language governing permissions and limitations
 *  under the License.
 */
package integration.tests.repo;

import dom.todo.ToDoItem;
import dom.todo.ToDoItem.Category;
import dom.todo.ToDoItem.Subcategory;
import dom.todo.ToDoItems;
import integration.tests.ToDoIntegTest;

import javax.inject.Inject;
import org.junit.Before;
import org.junit.Test;

import static org.hamcrest.CoreMatchers.is;
import static org.junit.Assert.assertThat;

public class ToDoItemsTest_newToDo_and_delete extends ToDoIntegTest {

    @Before
    public void setUpData() throws Exception {
        // none
    }

    @Inject
    private ToDoItems toDoItems;

    @Test
    public void happyCase() throws Exception {
        
        // given
        int size = wrap(toDoItems).notYetComplete().size();
        
        // when
        final ToDoItem newToDo = wrap(service(ToDoItems.class)).newToDo("new todo", Category.Professional, Subcategory.OpenSource, null, null);

        // then
        assertThat(newToDo.getDescription(), is("new todo"));
        assertThat(newToDo.getCategory(), is(Category.Professional));
        assertThat(wrap(service(ToDoItems.class)).notYetComplete().size(), is(size+1));
        
        // when
        newToDo.delete();

        // then
        assertThat(wrap(service(ToDoItems.class)).notYetComplete().size(), is(size));
    }

}